Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator Member List

This is the complete list of members for eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator, including all inherited members.

$aliasGenerator | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
$cache | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
$cacheIdentifierGenerator | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
$requestContext | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
$siteAccess | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
__construct(VariationHandler $aliasGenerator, TagAwareAdapterInterface $cache, RequestContext $requestContext, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator) | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator |
CONTENT_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
CONTENT_VERSION_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
getCacheKey(Field $field, VersionInfo $versionInfo, $variationName) | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
getTagsForVariation(Field $field, VersionInfo $versionInfo, string $variationName) | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
getVariation(Field $field, VersionInfo $versionInfo, $variationName, array $parameters=[]) | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator |
getVariationNameTag() | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator |
IMAGE_VARIATION_CONTENT_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
IMAGE_VARIATION_FIELD_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
IMAGE_VARIATION_NAME_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
IMAGE_VARIATION_SITEACCESS_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
IMAGE_VARIATION_TAG | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator | private
setSiteAccess(SiteAccess $siteAccess=null) | eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.